libnghttp2-devel-1.39.1-2.el7.x86_64.rpm


Advertisement

Description

libnghttp2-devel - Files needed for building applications with libnghttp2

Property Value
Distribution CentOS 7
Repository GetPageSpeed x86_64
Package filename libnghttp2-devel-1.39.1-2.el7.x86_64.rpm
Package name libnghttp2-devel
Package version 1.39.1
Package release 2.el7
Package architecture x86_64
Package type rpm
Category Development/Libraries
Homepage https://nghttp2.org/
License MIT
Maintainer -
Download size 51.89 KB
Installed size 239.91 KB
The libnghttp2-devel package includes libraries and header files needed
for building applications with libnghttp2.

Alternatives

Package Version Architecture Repository
libnghttp2-devel-1.40.0-1.el7.x86_64.rpm 1.40.0 x86_64 GetPageSpeed
libnghttp2-devel-1.39.2-1.el7.x86_64.rpm 1.39.2 x86_64 GetPageSpeed
libnghttp2-devel-1.39.1-1.el7.x86_64.rpm 1.39.1 x86_64 GetPageSpeed
libnghttp2-devel-1.35.1-3.el7.x86_64.rpm 1.35.1 x86_64 OKey
libnghttp2-devel-1.35.1-2.el7.x86_64.rpm 1.35.1 x86_64 OKey
libnghttp2-devel-1.35.1-1.el7.x86_64.rpm 1.35.1 x86_64 OKey
libnghttp2-devel-1.31.1-2.el7.x86_64.rpm 1.31.1 x86_64 EPEL
libnghttp2-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libnghttp2(x86-64) = 1.39.1-2.el7
libnghttp2.so.14()(64bit) -
pkgconfig -

Provides

Name Value
libnghttp2-devel = 1.39.1-2.el7
libnghttp2-devel(x86-64) = 1.39.1-2.el7
pkgconfig(libnghttp2) = 1.39.1

Download

Type URL
Mirror extras.getpagespeed.com
Binary Package libnghttp2-devel-1.39.1-2.el7.x86_64.rpm
Source Package nghttp2-1.39.1-2.el7.src.rpm

Install Howto

  1. Install GetPageSpeed repository:
    # yum install https://extras.getpagespeed.com/release-el7-latest.rpm
  2. Install libnghttp2-devel rpm package:
    # yum install libnghttp2-devel

Files

Path
/usr/include/nghttp2/nghttp2.h
/usr/include/nghttp2/nghttp2ver.h
/usr/lib64/libnghttp2.so
/usr/lib64/pkgconfig/libnghttp2.pc
/usr/share/doc/libnghttp2-devel-1.39.1/README.rst

Changelog

2019-06-12 - Danila Vershinin <info@getpagespeed.com> 1.39.1-2
- included deflatehd and inflatehd tools
- built with GCC 8
- added %check
2019-04-19 - Danila Vershinin <info@getpagespeed.com> 1.38.0-1
- upstream version auto-updated to 1.38.0
2019-03-09 - Danila Vershinin <info@getpagespeed.com> 1.37.0-1
- upstream version auto-updated to 1.37.0
2019-01-31 - Danila Vershinin <info@getpagespeed.com> 1.36.0-1
- upstream version auto-updated to 1.36.0
2018-04-13 - Kamil Dudka <kdudka@redhat.com> 1.31.1-1
- update to the latest upstream release (fixes CVE-2018-1000168)
2017-04-10 - Kamil Dudka <kdudka@redhat.com> 1.21.1-1
- update to the latest upstream release
2017-04-03 - Kamil Dudka <kdudka@redhat.com> 1.21.0-1
- update to the latest upstream release (#1438364)
- package systemd unit file (#1426929)
2016-02-11 - Kamil Dudka <kdudka@redhat.com> 1.7.1-1
- update to the latest upstream release (fixes CVE-2016-1544)
2016-02-05 - Kamil Dudka <kdudka@redhat.com> 1.7.0-3
- make the package compile with gcc-6
2016-02-04 - Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

See Also

Package Description
libpng16-1.6.37-1.el7.x86_64.rpm Newer version of libpng, needed to run new binaries
libpng16-16-1.6.34-0.el7.x86_64.rpm Library for the Portable Network Graphics Format (PNG)
libpng16-compat-devel-1.6.34-0.el7.x86_64.rpm Development tools for applications which will use libpng
libpng16-devel-1.6.34-0.el7.x86_64.rpm Development tools for applications which will use libpng
libpng16-devel-1.6.37-1.el7.x86_64.rpm Development files for libpng 1.6
libpng16-tools-1.6.34-0.el7.x86_64.rpm Tools for Manipulating PNG Images
libpng16-tools-1.6.37-1.el7.x86_64.rpm Tools for Manipulating PNG Images
libsregex-0.0.1-1.el7.x86_64.rpm Development files for libsregex
libsregex-devel-0.0.1-1.el7.x86_64.rpm Non-backtracking NFA/DFA-based Perl-compatible regex engine
libuv-1.34.0-1.el7.x86_64.rpm Cross-platform asynchronous I/O
libuv-1.34.1-1.el7.x86_64.rpm Cross-platform asynchronous I/O
libuv-1.34.2-1.el7.x86_64.rpm Cross-platform asynchronous I/O
libuv-devel-1.34.0-1.el7.x86_64.rpm Development libraries for libuv
libuv-devel-1.34.1-1.el7.x86_64.rpm Development libraries for libuv
libuv-devel-1.34.2-1.el7.x86_64.rpm Development libraries for libuv
Advertisement
Advertisement